// Absolut TiltDlg.h : Headerdatei
//

#pragma once

extern "C" { 
#include "../includes/hidsdi.h" 
#include "setupapi.h"
}

// CAbsolutTiltDlg-Dialogfeld
#include "afxwin.h"
class CAbsolutTiltDlg : public CDialog
{
// Konstruktion
public:
	CAbsolutTiltDlg(CWnd* pParent = NULL);	// Standardkonstruktor

// Dialogfelddaten
	enum { IDD = IDD_ABSOLUTTILT_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung


// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Funktionen fr die Meldungstabellen
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	afx_msg LRESULT PlugInDevice(WPARAM wParam, LPARAM lParam);
	afx_msg void OnBnClickedStart();
	afx_msg void OnBnClickedStop();

	HANDLE DeviceHandle;
	HANDLE HidHandle[2];
	HIDP_CAPS Capabilities;
	UCHAR PipeOne[10];

	BOOL ConnectToUSB(ULONG productID, ULONG vendorID, CString serial);
	HIDP_CAPS GetPreparsedData(HANDLE handle);
	CString GetSerialNumber(HANDLE handle);
	int EnumHidDevices(ULONG productID, ULONG vendorID);
	UCHAR ReadPipOne(HANDLE handle);
	short CalcPipeOne(UCHAR lsb, UCHAR msb);

	typedef struct DATASTRUCT
	{
		double x;
		double y;
		double z;
	} DATASTRUCT;

	DATASTRUCT tData;

	CString DevSerial[32];
	CString sNowSerial;

	int ReadedData(void);
	CComboBox cDevList;

	CFont cFont;
	afx_msg void OnTimer(UINT_PTR nIDEvent);

	double iXYWinkel;
	CString sXYWinkel;
	afx_msg void OnCbnSelchangeDevicelist();

};
