// KioskprotectDlg.h : Headerdatei
//

#pragma once

#include "afxwin.h"

#include "functions_usb.h"
#include "afxcmn.h"

// CKioskprotectDlg-Dialogfeld
class CKioskprotectDlg : public CDialog
{
// Konstruktion
public:
	CKioskprotectDlg(CWnd* pParent = NULL);	// Standardkonstruktor

// Dialogfelddaten
	enum { IDD = IDD_KIOSKPROTECT_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung


// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Funktionen fr die Meldungstabellen
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

private:
	static void CALLBACK TimerFunction(UINT wTimerID, UINT msg, DWORD dwUser, DWORD dw1, DWORD dw2); 

public:

	USBDATA hid;
	
	UCHAR ReadPipOne(HANDLE handle);
	short CalcPipeOne(UCHAR lsb, UCHAR msb);
	int ReadedData(void);

	CString DevSerial[32];

	void MMTimerHandler(UINT nIDEvent);
	UINT idEvent;

	typedef struct DATASTRUCT
	{
		double x;
		double y;
		double z;
		UCHAR b;
	} DATASTRUCT;

	typedef struct FIRSTRUCT
	{
		double x[16];
		double y[16];
		double z[16];
	} FIRSTRUCT;

	typedef struct BUFFERSTRUCT
	{
		double x[10];
		double y[10];
		double z[10];
	} BUFFERSTRUCT;

	DATASTRUCT tData;
	FIRSTRUCT tFilter;
	DATASTRUCT tBuffer;
	BUFFERSTRUCT dBuffer;
	DATASTRUCT dsHP;
	DATASTRUCT dsTP;

	//FIR-Filter
	double dFir[16];
	double tHochpass[16];
	double tTiefpass[16];

	
	CFont cFont;
	int iCount;
	CString sPath;

	void ShiftBuffer(double x, double y, double z);

	bool bDoor;
	bool bAlarm;
	int iTiltTime;
	int iMoveTime;
	int iCount2;
	bool bStatus;
	int iCount3;
	int iHitTime;
	int dDegree;
	
	CBitmap cBitmap;

	CListBox cEvent;
	afx_msg void OnDateiStart();
	afx_msg void OnClose();
	afx_msg void OnDateiBeenden();
	CString GetDateCode(void);
	afx_msg void OnDeltaposSpin1(NMHDR *pNMHDR, LRESULT *pResult);
	CSpinButtonCtrl cSpin;
	CStatic cStaticBitmap;
};
